# Hardware configuration of edge01. Generated by nixos-generate-config.

{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "ahci" "usb_storage" "usbhid" ];
  boot.initrd.kernelModules = [ "dm-snapshot" ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];
  system.stateVersion = "20.03";
  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;


  fileSystems."/" =
    { device = "/dev/disk/by-uuid/b1b85556-8f3b-4695-8ad5-2159c93c76de";
      fsType = "ext4";
    };

  fileSystems."/boot" =
    # Pendrive.
    # Real boot is at D8BA-345D.
    { device = "/dev/disk/by-uuid/D8BA-345D";
      fsType = "vfat";
    };
  hscloud.anchorvm.blkdev = "/dev/janusz-vg/ripeanchor";

  swapDevices =
    [ { device = "/dev/disk/by-uuid/5dadcff4-fcd4-4e8d-81f6-be68fb630396"; }
    ];

  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";
}
