{ config, pkgs, ... }:

with builtins;

rec {
  networking.hostName = "bc01n01";
  # TODO: undefine fqdn and define domain after big nix change
  hscloud.base.fqdn = "${networking.hostName}.hswaw.net";
  #networking.domain = "hswaw.net";
  system.stateVersion = "18.09";
  nix.maxJobs = 16;

  boot.loader.grub.device = "/dev/disk/by-id/scsi-360024e8078a9060023b1043107388af5";
  fileSystems."/".device = "/dev/disk/by-uuid/518ecac1-00ea-4ef0-9418-9eca6ce6d918";

  hscloud.base = {
    mgmtIf = "eno1";
    ipAddr = "185.236.240.35";
    ipAddrBits = 28;
    gw = "185.236.240.33";
  };

  hscloud.kube.control.enable = false;
  hscloud.kube.data = {
    enable = false;
    podNet = "10.10.16.0/24";
  };

  environment.systemPackages = [
    pkgs.shadow
  ];
}

