{ config, pkgs, ... }:

with builtins;

rec {
  networking.hostName = "dcr01s24";
  # TODO: undefine fqdn and define domain after big nix change
  hscloud.base.fqdn = "${networking.hostName}.hswaw.net";
  #networking.domain = "hswaw.net";
  system.stateVersion = "19.09";
  nix.maxJobs = 48;

  fileSystems."/".device = "/dev/vg-nixos-hscloud/nixos-root";

  fileSystems."/boot1" =
    { device = "/dev/disk/by-partuuid/b56dc8da-4242-4a23-91f7-32d7600ddde9";
      fsType = "vfat";
    };
  fileSystems."/boot2" =
    { device = "/dev/disk/by-partuuid/a0102b04-15ac-4077-a6ae-bbe9ea4a9a2d";
      fsType = "vfat";
    };
  boot.loader.systemd-boot.enable = false;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.grub = {
    enable = true;
    version = 2;
    efiSupport = true;
    mirroredBoots = [
      { devices = [ "nodev" ]; path = "/boot1"; efiSysMountPoint = "/boot1"; }
      { devices = [ "nodev" ]; path = "/boot2"; efiSysMountPoint = "/boot2"; }
    ];
  };

  hscloud.base = {
    mgmtIf = "enp130s0f0";
    ipAddr = "185.236.240.40";
    ipAddrBits = 28;
    gw = "185.236.240.33";
  };

  hscloud.kube = {
    control.enable = true;
    data.enable = true;
    data.podNet = "10.10.20.0/24";
  };
}

