{ config, pkgs, ... }:

with builtins;

rec {
  networking.hostName = "dcr03s16";
  # TODO: undefine fqdn and define domain after big nix change
  hscloud.base.fqdn = "${networking.hostName}.hswaw.net";
  #networking.domain = "hswaw.net";
  system.stateVersion = "22.05";
  nix.maxJobs = 48;

  fileSystems."/".device = "/dev/vg-nixos-hscloud/nixos-root";
  #services.lvm.enable = true;
  fileSystems."/boot1" =
    { device = "/dev/disk/by-partuuid/4aaabcc2-6efa-499d-890a-553228917416";
      fsType = "vfat";
    };
  fileSystems."/boot2" =
    { device = "/dev/disk/by-partuuid/cd6c0ffb-0119-4dce-a15a-ad5639eb5eb1";
      fsType = "vfat";
    };

  boot.loader.systemd-boot.enable = false;
  boot.loader.efi.canTouchEfiVariables = true;
  boot.loader.grub = {
    enable = true;
    version = 2;
    efiSupport = true;
    mirroredBoots = [
      { devices = [ "nodev" ]; path = "/boot1"; efiSysMountPoint = "/boot1"; }
      { devices = [ "nodev" ]; path = "/boot2"; efiSysMountPoint = "/boot2"; }
    ];
  };


  hscloud.base = {
    mgmtIf = "enp5s0";
    ipAddr = "185.236.240.45";
    ipAddrBits = 28;
    gw = "185.236.240.33";
  };
  hscloud.kube = {
    control.enable = true;
    data.enable = true;
    data.podNet = "10.10.21.0/24";
  };
}

