{ system ? builtins.currentSystem, ... }@args:

with builtins;

let
  fix = f: let x = f x; in x;

  readTree = import ./nix/readtree {};

  # Tracking nixos-unstable as of 2023-07-24.
  nixpkgsCommit = "e6b1f2f22b28851d5515eb53d8d5e905aabdad46";
  nixpkgsSrc = fetchTarball {
    url = "https://github.com/NixOS/nixpkgs/archive/${nixpkgsCommit}.tar.gz";
    sha256 = "sha256:0jwwndkdfrv8cfcv47ir1k05gqqxhpi3jkv3dsyflv0wy3pl98g2";
  };
  nixpkgs = import nixpkgsSrc {
    config.allowUnfree = true;
    config.allowBroken = true;

    # Nixpkgs marked this package as insecure.
    # We need it for HTML-to-PDF conversion.
    config.permittedInsecurePackages = [
      "qtwebkit-5.212.0-alpha4"
    ];
    inherit system;
  };

  resForPkgs = pkgs: fix (self: (readTree rec {
    hscloud = self;
    inherit pkgs;
    pkgsSrc = pkgs.path;
    inherit (pkgs) lib stdenv;
    hscloudForPkgs = pkgs: resForPkgs pkgs;
  } ./.));

in (resForPkgs nixpkgs) // {
  root = ./.;
  pkgs = nixpkgs;
}
