{ pkgs, ... }:

let
  spaceauth = pkgs.callPackage "${pkgs.fetchgit {
    url = "https://code.hackerspace.pl/informatic/flask-spaceauth";
    rev = "d3e1a4412cbc929249e407ccecfb54fbbd14e53a";
    sha256 = "01qnjj647jw81hcyvq359rwqjpc5ah9ghvc6ic0a0wppp13mgw94";
  }}" {};
in pkgs.python3Packages.buildPythonPackage {
  pname = "checkinator";
  version = "0.2";

  doCheck = false;
  src = ./.;

  postInstall = ''
    cp -r dbsetup.sql $out/dbsetup.sql
    cp -r static $out/static
  '';

  propagatedBuildInputs = with pkgs; [
    python3Packages.gunicorn
    python3Packages.flask
    python3Packages.pyyaml
    python3Packages.isodate
    python3Packages.requests
    python3Packages.requests-unixsocket
    python3Packages.grpcio
    python3Packages.grpcio-tools
    python3Packages.setuptools
    python3Packages.protobuf
    spaceauth
    iproute
  ];
}
