load("@bazel_tools//tools/build_defs/repo:http.bzl", "http_file", "http_archive")

def hswaw_site_deps():
    http_archive(
        name = "com_npmjs_leaflet",
        build_file_content = """
filegroup(
    name = "distfiles",
    srcs = [
        "package/dist/leaflet.js",
        "package/dist/leaflet.css",
        "package/dist/images/layers-2x.png",
        "package/dist/images/layers.png",
        "package/dist/images/marker-icon-2x.png",
        "package/dist/images/marker-icon.png",
        "package/dist/images/marker-shadow.png",
    ],
    visibility = ["//visibility:public"],
)
""",
        sha256 = "43aca726165904ff73a34571c263b561cec94e6b9992a4414a600f3e984d1b03",
        urls = ["https://registry.npmjs.org/leaflet/-/leaflet-1.7.1.tgz"],
    )

    http_file(
        name = "com_gstatic_fonts_comfortaa_400",
        sha256 = "6525a7ef8733e24b24d926150261dbc31739485fe7a3c0dbd1153d69ef2fa741",
        urls = ["https://fonts.gstatic.com/s/comfortaa/v34/1Pt_g8LJRfWJmhDAuUsSQamb1W0lwk4S4WjMPrQ.ttf"],
        downloaded_file_path = "font.ttf",
    )

    http_file(
        name = "com_gstatic_fonts_inconsolata_400",
        sha256 = "bcf01b2591ddd7b85dbdfc77ed22da40e0fe4a37b88ab08d7af5c0987212aefa",
        urls = ["https://fonts.gstatic.com/s/inconsolata/v21/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7Lpp4U8aRo.ttf"],
        downloaded_file_path = "font.ttf",
    )

    http_file(
        name = "com_gstatic_fonts_inconsolata_700",
        sha256 = "2952422799d3da49bcc9178800ab2111fcc21ad39048c29c15cd39005b82be5f",
        urls = ["https://fonts.gstatic.com/s/inconsolata/v21/QldgNThLqRwH-OJ1UHjlKENVzkWGVkL3GZQmAwLYxYWI2qfdm7Lpp2I7aRo.ttf"],
        downloaded_file_path = "font.ttf",
    )

